For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all residents
        • GETGet a resident by ID
        • GETGet all resident insurance
        • GETGet resident insurance by ID
        • PUTUpdate Resident: Rentvine
        • POSTCreate Resident Pet: Rentvine
        • PUTUpdate Resident Pet: Rentvine
        • POSTCreate Resident File: Rentvine
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
RentvineResidents

Get all residents

GET
/v1/residents/
GET
/v1/residents/
$curl https://api.propexo.com/v1/residents/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_id": "65",
18 "address_1_alternate": null,
19 "address_1": "123 Main St",
20 "address_2_alternate": null,
21 "address_2": "Apt 4B",
22 "balance_in_cents": null,
23 "city_alternate": null,
24 "city": "Boston",
25 "country_alternate": null,
26 "country": null,
27 "custom_data": {},
28 "date_of_birth": "1985-04-12",
29 "email_1": "sally.jones@example.com",
30 "email_2": null,
31 "first_name": "Sally",
32 "is_employee": null,
33 "last_name": "Jones",
34 "late_balance_in_cents": null,
35 "middle_name": "Gail",
36 "notes": null,
37 "phone_1_type": null,
38 "phone_1": "6175551234",
39 "phone_2_type": null,
40 "phone_2": null,
41 "state_alternate": null,
42 "state": "MA",
43 "zip_alternate": null,
44 "zip": "02116",
45 "pets": [
46 {
47 "id": "clwktsp9v000008l31iv218hp",
48 "created_at": "2024-03-21T15:38:08.337Z",
49 "updated_at": "2024-03-22T10:59:45.119Z",
50 "last_seen": "2024-03-22T10:59:45.119Z",
51 "x_id": "P123",
52 "name": "Buddy",
53 "type": "Dog",
54 "breed": null,
55 "gender_raw": "Male",
56 "age_in_years": 3.5,
57 "weight_in_pounds": 45,
58 "is_fixed": true,
59 "is_service_animal": false,
60 "notes": null,
61 "custom_data": {}
62 }
63 ],
64 "vehicles": [
65 {
66 "id": "clwktsp9v000008l31iv218hv",
67 "created_at": "2024-03-21T15:38:08.337Z",
68 "updated_at": "2024-03-22T10:59:45.119Z",
69 "last_seen": "2024-03-22T10:59:45.119Z",
70 "x_id": "V456",
71 "make": "Toyota",
72 "model": "Camry",
73 "color": "Blue",
74 "year": "2018",
75 "license_plate_number": "ABC1234",
76 "license_plate_state": "MA",
77 "notes": null,
78 "custom_data": {}
79 }
80 ],
81 "integration_id": "clwh5u07w000508me66sfh3um",
82 "integration_vendor": "RENTVINE",
83 "property_id": "clwi5xiix000008l6ctdgafyh",
84 "x_lease_id": "clwktsp9v000008l31iv218hx",
85 "leases_meta_data": [
86 {
87 "lease_id": "clwktsp9v000008l31iv218hx",
88 "x_resident_type": "Primary Tenant",
89 "resident_type_normalized": "PRIMARY",
90 "move_in_date": "2023-06-01",
91 "move_out_date": null,
92 "notice_date": null,
93 "custom_data": {},
94 "last_seen": "2024-03-22T10:59:45.119Z"
95 }
96 ]
97 }
98 ]
99}
Get all residents
Was this page helpful?
Previous

Get a resident by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
x_idstringOptional
The external resident id
x_property_idstringOptional

Deprecated: Use Propexo property_id instead

location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_idstringOptional
The Propexo property id
lease_idstringOptional
The Propexo lease id
integration_idstringOptional
The Propexo integration id
integration_vendorenumOptional
The integration vendor for the resident.
email_1stringOptional
The primary email address associated with the resident
phone_1stringOptionalformat: "^[2-9]\d{9}$"

Filter by phone number (10 digit format only)

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error